.hide {
  display: none!important;
}

.custom-dropdown {
  position: relative;
  flex-grow: 1; /* Allows select to expand */
}

.custom-dropdown select {
  appearance: none; /* Hide default dropdown arrow */
  -webkit-appearance: none;
  -moz-appearance: none;
  width: 100%;
  padding-right: 35px; /* Space for the custom icon */
}

.dropdown-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none; /* Prevent click events on icon */
  color: #6c757d; /* Bootstrap muted color */
}
#billImportFileNameDisplay {
  word-break: break-word;
  overflow-wrap: break-word;
  max-width: 300px; /* Adjust to your layout */
  white-space: normal;
}

.input-group .input-group-append button {
  padding-bottom: 10px;
  padding-top: 10px;
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

#utilityLoginForm a,
#utilityLoginForm a.text-link,
#utilityLoginFormContainerResponse a,
#utilityLoginFormContainerResponse a.text-link {
  color: #2859a1;
  text-decoration: none;
  cursor: pointer;
  font-weight: normal;
}

#utilityLoginForm a:hover,
#utilityLoginFormContainerResponse a:hover {
  text-decoration: underline;
}

#utilityLoginForm a.button,
#utilityLoginForm input.button,
#utilityLoginFormContainerResponse a.button,
#utilityLoginFormContainerResponse input.button {
  background: linear-gradient(to bottom, #ec4903, #b32701);
  float: left;
  border: 1px solid #ed7749;
  border-radius: 5px;
  color: white;
  text-align: center;
  font-size: 13px;
  padding: 9px 16px;
  text-decoration: none;
  box-shadow: 2px 2px 3px #969696;
  text-wrap-mode: nowrap;
}

#utilityLoginForm h3,
#utilityLoginFormContainerResponse h2 {
  font-size: 14px; 
  line-height: 1.4em;
  font-weight: bold;
  color: black;
}

#credentialsSection input {
  width: 100%;
}

#credentialsSection p {
  font-size: 0.9em;
}

#credentialsSection .utilButtons,
#utilityLoginFormContainerResponse .utilButtons {
  display: inline-flex;
  align-items: center;
  gap: 220px;
}

#ImportFromProviderElec\:idutilityBills1,
#ImportFromProviderGas\:idutilityBills1,
#ImportBillsScan\:idutilityBills1 {
  display: flex;
  align-items: center;
  gap: 5px;
  margin-bottom: 10px;
  margin-top: 10px;
}

.fa-spinner {
  color: black;
  font-size: xx-large;
}

.fa-exclamation-circle {
    color: #e37f02; 
    font-size: xx-large;
}

.fa-check {
    color: green;
    font-size: xx-large;
}

#ImportFromProviderElec\:idutilityBills1.disabled,
#ImportFromProviderGas\:idutilityBills1.disabled {
    cursor: not-allowed;
    opacity: 0.6;
}

.import-success {
    padding: 10px;
}

/* Always hide the Elec/Gas Emails */
.col-12:has(#hiddenElecEmail\:idutilityBills1),
.col-12:has(#hiddenFuelEmail\:idutilityBills1) {
    display: none;
}

#twoFACode  {
    width: 100%;
}

@media screen and (max-width: 992px) {
  .hide-on-mobile {
    display: none!important;
  }  
}

@media screen and (min-width: 993px) {
  .hide-on-desktop {
    display: none!important;
  }  
}

@media screen and (max-width: 992px) {
  .hide-on-small-tablet-and-mobile {
    display: none!important;
  }
}

@media screen and (min-width: 993px) {
  .hide-on-big-tablets-and-desktop {
    display: none!important;
  }
}